package java.rmi.registry;

import java.rmi.AlreadyBoundException;
import java.rmi.AccessException;
import java.rmi.NotBoundException;
import java.rmi.RemoteException;
import java.rmi.Remote;

public interface Registry extends Remote
{
    public static final int REGISTRY_PORT = 1099;
    
    public abstract Remote lookup(String p0) throws RemoteException, NotBoundException, AccessException;
    
    public abstract void bind(String p0, Remote p1) throws RemoteException, AlreadyBoundException, AccessException;
    
    public abstract void unbind(String p0) throws RemoteException, NotBoundException, AccessException;
    
    public abstract void rebind(String p0, Remote p1) throws RemoteException, AccessException;
    
    public abstract String[] list() throws RemoteException, AccessException;
}
